# $Revision: 1.20 $, $Date: 2012/06/29 07:02:54 $

%define 	module	Durus

Summary:	Durus - a persistent object system for applications written in the Python programming language
Summary(pl.UTF-8):	Durus - system przechowywania obiektów aplikacji napisanych w języku programowania Python
Name:		python-%{module}
Version:	3.9
Release:	2
License:	CNRI
Group:		Libraries/Python
Source0:	http://www.mems-exchange.org/software/files/durus/%{module}-%{version}.tar.gz
# Source0-md5:	a432b65bc9fdc24f80f768022d9a3c04
URL:		http://www.mems-exchange.org/software/durus/
BuildRequires:	python-devel >= 1:2.3
BuildRequires:	python-modules
BuildRequires:	rpm-pythonprov
%pyrequires_eq	python
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Durus is a system that offers an easy way to use and maintain a
consistent collection of object instances used by one or more
processes. Access and change of a persistent instances is managed
through a cached Connection instance which includes commit() and
abort() methods so that changes are transactional. Durus is best
suited to collections of less than a million instances with relatively
stable state.

%description -l pl.UTF-8
Durus jest system umożliwiającym używanie i zarządzanie w łatwy sposób
kolekcją obiektów używanych przez jeden lub więcej procesów. Dostęp do
obiektów i ich modyfikacje zarządzane są przy pomocy przechowywanych
stale w pamięci obiektów połączeń umożliwiających wykonywanie
transakcyjnych operacji na obiektach. Durus najlepiej sprawdza się
przy bazach, które nie zawierają więcej niż milion obiektów z
relatywnie stabilnym stanem.

%package -n Durus-utils
Summary:	Utility programs for Durus system
Summary(pl.UTF-8):	Programy narzędziowe systemu Durus
Group:		Applications/Databases
Requires:	%{name} = %{version}-%{release}
Obsoletes:	Durus-client
Obsoletes:	Durus-server

%description -n Durus-utils
This package contains utility programs for Durus system. It contains
simple Python script with both client and server functionality.

%description -n Durus-utils -l pl.UTF-8
Programy nardzędziowe systemu Durus. Pakiet ten zawiera prosty skrypt
udostępniający funkcjonalność zarówno klienta jaki i serwera systemu
Durus.

%prep
%setup -q -n %{module}-%{version}

%build
export CFLAGS="%{rpmcflags}"
%{__python} setup.py build_ext
%{?with_tests:%{__python} setup.py test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{py_sitedir}}

%{__python} setup.py install \
	--install-lib=%{py_sitedir} \
	--optimize=2 \
	--root=$RPM_BUILD_ROOT

%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ACKS.txt CHANGES.txt LICENSE.txt README.txt doc/FAQ.txt
%dir %{py_sitedir}/durus
%{py_sitedir}/durus/*.py[co]
%{py_sitedir}/durus/*.so
%if "%{py_ver}" > "2.4"
%{py_sitedir}/Durus-*.egg-info
%endif

%files -n Durus-utils
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/durus

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-Durus.spec,v $
Revision 1.20  2012/06/29 07:02:54  kiesiu
- packaged missing dir; rel. 2

Revision 1.19  2012/01/13 17:34:26  zbyniu
- up to 3.9; more files

Revision 1.18  2011/01/23 21:14:25  sparky
- BR: rpm-pythonprov

Revision 1.17  2010/07/08 08:08:23  arekm
- release 2

Revision 1.16  2009/03/15 16:10:28  duddits
- up to 3.8
- macros, cleaning
- %files

Revision 1.15  2008/10/03 17:48:48  arekm
- release 2

Revision 1.14  2007-02-13 08:06:42  glen
- tabs in preamble

Revision 1.13  2007/02/12 01:06:28  baggins
- converted to UTF-8

Revision 1.12  2005/02/07 17:15:58  czucz
- updated to 1.4

Revision 1.11  2004/12/23 20:45:55  saq
- fixed reqs
- release 2 for rebuild with python 2.4

Revision 1.10  2004/12/17 16:49:41  ankry
- tab

Revision 1.9  2004/12/17 16:32:59  darekr
- updated to 1.3
- BR python-modules

Revision 1.8  2004/11/27 19:01:23  saq
- massive attack: added missing python-devel epoch do BR

Revision 1.7  2004/09/13 08:14:53  qboosh
- Obsoletes for old packages, files fix, release 3

Revision 1.6  2004/09/11 06:16:01  zboczuch
- man file for client-server program i mandir
- rel. 2

Revision 1.5  2004/09/11 06:10:02  zboczuch
- version 1.2
- there is no more two files for client and server - so new subpackage -utils
  is used

Revision 1.4  2004/08/31 16:39:52  zboczuch
- new doc files in 1.1
- rel. 2

Revision 1.3  2004/08/31 15:42:17  darekr
- updated to 1.1

Revision 1.2  2004/07/28 08:03:15  troll
- removed %%include /usr/lib/rpm/macros.python

Revision 1.1  2004/07/26 18:23:03  zboczuch
- initial PLD release
